mchar_define_property(3m17n)

NAME
mchar_define_property - Define a character property.

SYNOPSIS
MSymbol mchar_define_property (const char * name, MSymbol type)

DESCRIPTION
Define a character property.

The mchar_define_property() function searches the m17n database for a data whose tags are <Mchar_table, type, sym>. Here, sym is a symbol whose name is name. type must be Mstring, Mtext, Msymbol, Minteger, or Mplist.

RETURN VALUE

    If the operation was successful, mchar_define_property() returns sym. Otherwise it returns Mnil.

ERRORS

    MERROR_DB

SEE ALSO

    mchar_get_prop(), mchar_put_prop()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.